Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.content.spi.flexspi.repository
Enum RepositoryConfigOpsV1.MethodName

    java.lang.Object
      java.lang.Enum<RepositoryConfigOpsV1.MethodName>
          com.bea.content.spi.flexspi.repository.RepositoryConfigOpsV1.MethodName

All Implemented Interfaces
  Serializable, Comparable<RepositoryConfigOpsV1.MethodName>

Enclosing interface:
  RepositoryConfigOpsV1

    public static enum RepositoryConfigOpsV1.MethodName

extends Enum<RepositoryConfigOpsV1.MethodName>

Enum Constant Summary
`createRepository`
`removeRepository`
`updateRepository`

Method Summary
`static RepositoryConfigOpsV1.MethodName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RepositoryConfigOpsV1.MethodName[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### createRepository

    public static final RepositoryConfigOpsV1.MethodName createRepository

### removeRepository

    public static final RepositoryConfigOpsV1.MethodName removeRepository

### updateRepository

    public static final RepositoryConfigOpsV1.MethodName updateRepository

Method Detail

### values

    public static final RepositoryConfigOpsV1.MethodName[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static RepositoryConfigOpsV1.MethodName valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved